# eth\_syncing method

### **Parameters**

none

### **Returns**

`Object|Boolean`, An object with sync status data or `FALSE`, when not syncing:

* `startingBlock`: `QUANTITY` - The block at which the import started (will only be reset, after the sync reached his head)
* `currentBlock`: `QUANTITY` - The current block, same as eth\_blockNumber
* `highestBlock`: `QUANTITY` - The estimated highest block

### **Example**

```
// Request
curl -H "Content-Type: application/json" -d '{"id":1, "jsonrpc":"2.0", "method": "eth_syncing","params": []}' https://moonbeam-api.bwarelabs.com/<your-endpoint-id>

// Response

{
"jsonrpc":"2.0",
"id":1,
"result": {
    "currentBlock":"0xa4e747",
    "highestBlock":"0xa4e78f",
    "knownStates":"0x1012228e",
    "pulledStates":"0x10120b55",
    "startingBlock":"0xa4e63d"
          }
}
```
